Last Comment Bug 709310 - Implement Handling of 5xxs, X-Weave-Backoff, Retry-After.
: Implement Handling of 5xxs, X-Weave-Backoff, Retry-After.
Status: RESOLVED FIXED
:
Product: Android Background Services
Classification: Client Software
Component: Android Sync (show other bugs)
: unspecified
: All Android
: P1 normal
: mozilla14
Assigned To: Nick Alexander :nalexander (leave until January 2017)
:
:
Mentors:
Depends on:
Blocks: 709284 709341 718493
  Show dependency treegraph
 
Reported: 2011-12-09 14:19 PST by Allison Naaktgeboren :ally
Modified: 2013-04-04 13:48 PDT (History)
7 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed
fixed
+


Attachments

Description Allison Naaktgeboren :ally 2011-12-09 14:19:18 PST

    
Comment 1 Nick Alexander :nalexander (leave until January 2017) 2012-03-15 11:56:25 PDT
503 handling should be fixed by Bug 709329 and earlier work.  Key point in Bug 709329 is that ServerSyncStage.onSynchronizeFailed calls GlobalSession.handleHTTPError, which interprets X-Weave-Backoff and Retry-After headers and aborts sync when found.
Comment 2 Nick Alexander :nalexander (leave until January 2017) 2012-03-15 11:57:00 PDT
On 200 success, Retry-After is not valid HTTP on 200, I think, so should be ignored, but X-Weave-Backoff is still ignored.  I will get on this right now.
Comment 3 Richard Newman [:rnewman] 2012-03-27 18:47:21 PDT
https://hg.mozilla.org/integration/mozilla-inbound/rev/f892c7884b1e
Comment 4 Ed Morley [:emorley] 2012-03-28 14:01:41 PDT
https://hg.mozilla.org/mozilla-central/rev/f892c7884b1e
Comment 5 Mark Finkle (:mfinkle) (use needinfo?) 2012-04-04 10:14:04 PDT
https://hg.mozilla.org/releases/mozilla-aurora/rev/9f553761e367

Note You need to log in before you can comment on or make changes to this bug.